%define api 0.9
%define major %{version}
%define libname %mklibname quvi %api %major
%define develname %mklibname -d quvi

Name:           libquvi
Version:        0.9.4
Release:        %mkrel 11
Summary:        Library for parsing flash media stream URLs with C API
Group:          Networking/Other
License:        LGPLv2+
URL:            http://quvi.sourceforge.net/
Source0:        https://downloads.sourceforge.net/quvi/%{name}-%{version}.tar.xz
Patch0:		lua-5.2-support.diff
BuildRequires: pkgconfig(glib-2.0) >= 2.24
BuildRequires: pkgconfig(libcurl) >= 7.21
BuildRequires: pkgconfig(libproxy-1.0) >= 0.3.1
BuildRequires: pkgconfig(libquvi-scripts-0.9) >= %api
BuildRequires: libgcrypt-devel
BuildRequires: lua-devel

%description
libquvi is a library for parsing video download links with C API.
It is written in C and intended to be a cross-platform library.

%package -n %libname
Summary: Shared library files libquvi
Group: Networking/Other
Requires: libquvi-scripts >= 0.9

%description -n %libname
Shared library files libquvi.

%package -n %develname
Summary: Files needed for building applications with libquvi
Group: Development/Other
Requires: %{libname} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}

%description -n %develname
Files needed for building applications with libquvi.

%prep
%setup -q
%autopatch -p0

%build
%configure --disable-static
%make_build

%install
%make_install
rm -f %buildroot%{_libdir}/*.la

%files -n %libname
%{_libdir}/%{name}-%{api}-%{major}.so

%files -n %develname
%{_libdir}/%{name}-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man3/*
%{_mandir}/man7/*


%changelog
* Sun Mar 27 2022 umeabot <umeabot> 0.9.4-11.mga9
+ Revision: 1829073
- Mageia 9 Mass Rebuild

* Sat Apr 03 2021 wally <wally> 0.9.4-10.mga9
+ Revision: 1712926
- rebuild for lua 5.4

* Sun Apr 05 2020 joequant <joequant> 0.9.4-9.mga8
+ Revision: 1564858
- upgrade to lua5.3

* Thu Feb 13 2020 umeabot <umeabot> 0.9.4-8.mga8
+ Revision: 1514387
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.9.4-7.mga7
+ Revision: 1299112
- Mageia 7 Mass Rebuild

* Mon Feb 15 2016 umeabot <umeabot> 0.9.4-6.mga6
+ Revision: 961188
- Mageia 6 Mass Rebuild

* Mon Sep 14 2015 fwang <fwang> 0.9.4-5.mga6
+ Revision: 879072
- rebuild for new libgcrypt

* Wed Oct 15 2014 umeabot <umeabot> 0.9.4-4.mga5
+ Revision: 743305
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.4-3.mga5
+ Revision: 681735
- Mageia 5 Mass Rebuild

* Sun Jun 29 2014 tv <tv> 0.9.4-2.mga5
+ Revision: 641001
- patch 0: fix build with lua-5.2
- build with lua-5.2

* Tue Feb 04 2014 fwang <fwang> 0.9.4-1.mga5
+ Revision: 581730
- new version 0.9.4

* Mon Oct 21 2013 umeabot <umeabot> 0.9.3-2.mga4
+ Revision: 538703
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.9.3-1.mga4
+ Revision: 490214
- new version 0.9.3

* Sun Sep 01 2013 fwang <fwang> 0.9.2-1.mga4
+ Revision: 473832
- update file list
- update libmajor
- new version 0.9.2

* Wed May 29 2013 fwang <fwang> 0.9.1-1.mga4
+ Revision: 430479
- update file list
- update file list
- bump req
- new version 0.9.1

* Sat Jan 12 2013 umeabot <umeabot> 0.4.1-2.mga3
+ Revision: 358036
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 08 2012 fwang <fwang> 0.4.1-1.mga3
+ Revision: 257683
- should be lua5.1
- br lua51
- new version 0.4.1

* Sun Feb 12 2012 fwang <fwang> 0.4.0-2.mga2
+ Revision: 208169
- there is acturally such deps hardcode

* Sun Feb 12 2012 fwang <fwang> 0.4.0-1.mga2
+ Revision: 208153
- update file list
- update libmajor
- imported package libquvi

